<?php
  /**
  * Plugin Name:  		BerDin-Funktionen2
  * Plugin URI: 		https://berdin-fotografie.de
  * Description: 		Plugin in dem alle Funktionen und Shortcodes enthalten sind, die auf dieser Seite angezeigt werden. 
						Genaue Beschreibungen der Shortcodes sind im Plugin enthalten.
  * Author: 			Bernhard Dinger
  * Author URI:			https://berdin-fotografie.de
  * License: GPL2
  * Text Domain:  		BerDin-Functions
  */
  /*
  
  * Login Logo ändern
  *
  * Logo Tauschen im Backend oben Links
  *
 */ 
/*_______________________________________________________________________________________________________________________________________________
	*Login Logo ändern
*/
function wpb_login_logo() 
    { 
	  ?>
		<style type="text/css">
			#login h1 a, .login h1 a {
				background-image: url(https://www.ihre-eigene-webseite.de/wp-content/uploads/2023/01/LoginLogo.png);
			height:70px;
			width:300px;
			background-size: 280px 80px;
			background-repeat: no-repeat;
			padding-bottom: 10px;
			}
		</style>
	<?php 
	}
add_action( 'login_enqueue_scripts', 'wpb_login_logo' );
   
/*_______________________________________________________________________________________________________________________________________________
	*Logo Tauschen im Backend oben Links
	*Du legst eine 18×18 Pixel große Logo-Datei als backend-logo18.png ( 18 ist die Größe des Logos, in Pixel)
	*im Hauptverzeichnis Deines Child Themes ab, in dem sich auch die funktions.php befindet
*/
function wpb_custom_logo() {
echo '
<style type="text/css">
#wpadminbar #wp-admin-bar-wp-logo > .ab-item .ab-icon:before {
background-image: url(' . get_bloginfo('stylesheet_directory') . '/Logo-Backend18.png) !important;
background-position: 0 0;
background-repeat: no-repeat;
color:rgba(0, 0, 0, 0);
}
#wpadminbar #wp-admin-bar-wp-logo.hover > .ab-item .ab-icon {
background-position: 0 0;
}
</style>
';
}
add_action('wp_before_admin_bar_render', 'wpb_custom_logo');

